%define pkg_name        Data-TreeDumper
%define pkg_version     0.33
%define rpm_pkg_version 0.33
%define rpm_pkg_release 1.n0i.7

Summary:       Improved replacement for Data::Dumper
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/N/NK/NKH/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)

%if %{!?_without_test:1}0
BuildRequires: perl(Class::ISA)
BuildRequires: perl(Devel::Size) >= 0.58
BuildRequires: perl(Sort::Naturally)
BuildRequires: perl(Term::Size) >= 0.2
BuildRequires: perl(Text::Wrap) >= 2001.0929
%endif


%description
Data::Dumper and other modules do a great job of dumping data structures.
Their output, however, often takes more brain power to understand than the
data itself. When dumping large amounts of data, the output can be
overwhelming and it can be difficult to see the relationship between each
piece of the dumped data. Data::TreeDumper also dumps data in a tree-like
fashion but *hopefully* in a format more easily understood.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}
%{fix_mod}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}
%{fix_man}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files -l}
%exclude %{perl_vendorlib}/Data/*.pl
%doc Changes README Todo [cfu]*.pl t[ir]*.pl


%changelog
* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 0.33-1.n0i.7
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7
- version 0.33

* Sun May 14 2006 Marius Feraru <altblue@n0i.net> - 0.31-1.n0i.6
- version 0.31

* Fri Mar 03 2006 Marius Feraru <altblue@n0i.net> - 0.27-2.n0i.5
- automatic rebuild (perl 5.8.8)

* Wed Oct 12 2005 Marius Feraru <altblue@n0i.net> 0.27-1.n0i.4
- version 0.27

* Fri Sep 16 2005 Marius Feraru <altblue@n0i.net> 0.26-1.n0i.3
- version 0.26

* Wed Aug 31 2005 Marius Feraru <altblue@n0i.net> 0.25-1.n0i.2
- version 0.25

* Tue Aug 09 2005 Marius Feraru <altblue@n0i.net> 0.24-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer/1.01
- rebuild on perl 5.8.7
